#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stm-hamt
version:              1.2.0.8
visibility:           public
id:                   stm-hamt-1.2.0.8-HkO4K98uH0wFfg8HNciSoH
key:                  stm-hamt-1.2.0.8-HkO4K98uH0wFfg8HNciSoH
license:              MIT
copyright:            (c) 2016, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/stm-hamt
synopsis:             STM-specialised Hash Array Mapped Trie
description:
    A low-level data-structure,
    which can be used to implement higher-level interfaces like
    hash-map and hash-set.
    Such implementations are presented by
    <http://hackage.haskell.org/package/stm-containers the "stm-containers" library>.

category:             Data Structures, STM, Concurrency
abi:                  25645b114f31970b926b0df6dc51e26e
exposed:              True
exposed-modules:      StmHamt.Hamt StmHamt.SizedHamt
hidden-modules:
    StmHamt.IntOps StmHamt.Constructors.Branch StmHamt.Focuses
    StmHamt.Prelude StmHamt.Types StmHamt.UnfoldlM StmHamt.ListT

import-dirs:          /usr/lib/ghc-9.0.2/site-local/stm-hamt-1.2.0.8
library-dirs:         /usr/lib/ghc-9.0.2/site-local/stm-hamt-1.2.0.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-stm-hamt
hs-libraries:         HSstm-hamt-1.2.0.8-HkO4K98uH0wFfg8HNciSoH
depends:
    base-4.15.1.0 deferred-folds-0.9.18.2-KhQnxGGJC4o67ef8cBsagv
    focus-1.0.3-4nhrCrq5gJjI4Xj87jX0rb
    hashable-1.4.1.0-DXpj0ho9mwSB6ue30MIccy
    list-t-1.0.5.3-BkUtNidSwLB12KnsCahYC5
    primitive-0.7.4.0-9TVgKpsxQ9UKsTlz0zg7yv
    primitive-extras-0.10.1.5-Cec94T1gqD165uBD3vy8r
    transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-stm-hamt/html/stm-hamt.haddock
haddock-html:         /usr/share/doc/haskell-stm-hamt/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

